# Uses of Interface
org.eclipse.emf.cdo.spi.server.IAuthenticationProtocol

Packages that use IAuthenticationProtocol
Package
Description
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IAuthenticationProtocol in org.eclipse.emf.cdo.spi.server

Subinterfaces of IAuthenticationProtocol in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`ISessionProtocol`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.server that return IAuthenticationProtocol
Modifier and Type
Method
Description
`static IAuthenticationProtocol`
AuthenticationUtil.`getAuthenticationProtocol()`
Obtains the authentication protocol, if any, on which the current thread should authenticate administrative operations in handling incoming signals.
Methods in org.eclipse.emf.cdo.spi.server with parameters of type IAuthenticationProtocol
Modifier and Type
Method
Description
`String`
InternalSessionManager.`authenticateUser(IAuthenticationProtocol sessionProtocol)`
Challenges the connected user to authenticate the connection.
`static <V> Callable<V>`
AuthenticationUtil.`authenticatingOperation(IAuthenticationProtocol authenticationProtocol, Callable<V> operation)`
Wrap an `operation` to make an authentication protocol available to the thread that invokes it, for the duration of the `operation`'s execution.
`void`
InternalSessionManager.`changeUserCredentials(IAuthenticationProtocol sessionProtocol, String userID)`
Initiates the change-credentials protocol with the client and processes the client response to update the user's credentials.
`void`
InternalSessionManager.`resetUserCredentials(IAuthenticationProtocol sessionProtocol, String userID)`
Initiates the administrative reset-credentials protocol with the client and processes the client response to reset the specified `userID`'s credentials.
Constructors in org.eclipse.emf.cdo.spi.server with parameters of type IAuthenticationProtocol
Modifier
Constructor
Description
``
`AuthenticatingOperation(IAuthenticationProtocol authenticationProtocol)`